Bug 1868108 - please migrate to the new Fedora translation platform
Summary: please migrate to the new Fedora translation platform
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-top
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-11 17:24 UTC by jibecfed
Modified: 2020-08-14 05:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-14 05:52:30 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1854445 unspecified CLOSED Zanata Removal 2020-10-27 14:48:08 UTC

Description jibecfed 2020-08-11 17:24:21 UTC
Hello, the Fedora project migrates its translation platform to Weblate [1].

This tool directly interact with your git repository, and requires us to know:

* [mandatory] which branch is your development branch?
* [mandatory] have you merged latest translation from Zanata and locked the project?
* [info] Weblate will handle updates when pot file changes, don't edit po files for this [2]
* [optional] what is the license of translation? (please use a code from https://spdx.org/licenses/)
* [optional] do you have any announcement/warning you would like to display to the translators? (it will be displayed in Weblate)
* [optional] do you need us to activate any specific checks? (this is a setting per component [3])
* [optional] do you need us to automatically detect new translation files? (typical usecase: website translation with one translation file per page)

Please note:

* For github and gitlab hosted projects, Weblate open pull request. For other git hosting, you'll have to add a key to allow commits.
* In Weblate's vocable, one project is a group of component. Each component is a translation file. You can have many projects or many components or both.
* You can change your mind over time, just reach trans@lists.fedoraproject.org

[1] https://communityblog.fedoraproject.org/fedora-localization-platform-migrates-to-weblate/ 
[2] https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-conflicts
[3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 1 Richard W.M. Jones 2020-08-13 14:27:27 UTC
(In reply to jibecfed from comment #0)
> Hello, the Fedora project migrates its translation platform to Weblate [1].
> 
> This tool directly interact with your git repository, and requires us to
> know:

There is (intentionally) no way to push stuff to our git repository.
Can it email me patches instead?  Or push to another git repo which
we would periodically pull from?

Anyway the upstream repo is: http://git.annexia.org/?p=virt-top.git;a=summary
and here are the answers to your other questions:

> * [mandatory] which branch is your development branch?

master

> * [mandatory] have you merged latest translation from Zanata and locked the
> project?

Yes: https://fedora.zanata.org/project/view/virt-top/settings

> * [info] Weblate will handle updates when pot file changes, don't edit po
> files for this [2]
> * [optional] what is the license of translation? (please use a code from
> https://spdx.org/licenses/)

GPL-2.0-or-later

> * [optional] do you have any announcement/warning you would like to display
> to the translators? (it will be displayed in Weblate)

no

> * [optional] do you need us to activate any specific checks? (this is a
> setting per component [3])

no

> * [optional] do you need us to automatically detect new translation files?
> (typical usecase: website translation with one translation file per page)

unclear, assume no for now

> Please note:
> 
> * For github and gitlab hosted projects, Weblate open pull request. For
> other git hosting, you'll have to add a key to allow commits.
> * In Weblate's vocable, one project is a group of component. Each component
> is a translation file. You can have many projects or many components or both.
> * You can change your mind over time, just reach
> trans@lists.fedoraproject.org
> 
> [1]
> https://communityblog.fedoraproject.org/fedora-localization-platform-
> migrates-to-weblate/ 
> [2]
> https://docs.weblate.org/en/latest/admin/continuous.html#avoiding-merge-
> conflicts
> [3] https://docs.weblate.org/en/latest/user/checks.html#translation-checks

Comment 2 jibecfed 2020-08-14 05:52:30 UTC
I'm not aware of email notification coming from Weblate to send changes. The idea of Weblate is to provide automation to prevent such tasks ;)

I think you may use the notification system in your profile to do so: https://translate.fedoraproject.org/accounts/profile/#notifications



Project was configured: https://translate.fedoraproject.org/projects/virt-top/master/
You are admin.

You may access weblate's git repository through: https://translate.fedoraproject.org/git/virt-top/master/

First commit will be big as it will update all existing po files.


Note You need to log in before you can comment on or make changes to this bug.